<?php
/**
 * -----------------------------------------------------------------------------
 * Plugin     : LMT
 * -----------------------------------------------------------------------------
 * Author     : Grum
 *   email    : grum@piwigo.org
 *   website  : http://photos.grum.fr
 *   PWG user : http://forum.piwigo.org/profile.php?id=3706
 *
 *   << May the Little SpaceFrog be with you ! >>
 *
 * -----------------------------------------------------------------------------
 *
 * See main.inc.php for release information
 *
 * AIPRelease class => display warning if GPC release is not up to date
 *
 * -----------------------------------------------------------------------------
 */


if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once('lmt_root.class.inc.php');

class LMT_AIPRelease extends LMT_root
{
  public function __construct($prefixeTable, $filelocation)
  {
    parent::__construct($prefixeTable, $filelocation);
    $this->loadConfig();
    $this->initEvents();
  }

  /*
    initialize events call for the plugin
  */
  public function initEvents()
  {
    parent::initEvents();
    add_event_handler('loc_end_page_header', array(&$this->css, 'applyCSS'));
  }

  /*
    display administration page
  */
  public function manage()
  {
    global $template;

    $template->set_filename('plugin_admin_content', dirname($this->getFileLocation())."/admin/lmt_admin.tpl");

    $pluginInfo=array(
      'LMT_VERSION' => "<i>".$this->getPluginName()."</i> ".l10n('lmt_release').LMT_VERSION,
      'PATH' => LMT_PATH
    );

    $template->assign('plugin', $pluginInfo);
    $template->assign('LMT_BODY_PAGE', '<p class="warnings">'.sprintf(l10n('lmt_gpc_not_up_to_date'),LMT_GPC_NEEDED, LMT_VERSION).'</p>');
    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
  }




} //class


?>
